> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agents Versions Dropdown

> Retrieve all agents with their versions for dropdowns.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agent/versions-dropdown/dashboard
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/agent/versions-dropdown/dashboard:
    get:
      tags:
        - Agents
      summary: Get Agents Versions Dropdown
      description: Retrieve all agents with their versions for dropdowns.
      operationId: get_agents_versions_dropdown_v1_agent_versions_dropdown_dashboard_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AgentWithVersionsDropdownResponse'
                type: array
                title: >-
                  Response Get Agents Versions Dropdown V1 Agent Versions
                  Dropdown Dashboard Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    AgentWithVersionsDropdownResponse:
      properties:
        agent_id:
          type: string
          format: uuid
          title: Agent Id
          description: The unique identifier for the agent
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
          description: The name of the agent
        versions:
          items:
            $ref: '#/components/schemas/VersionItem'
          type: array
          title: Agent Versions
          description: The list of versions for the agent
      type: object
      required:
        - agent_id
        - versions
      title: AgentWithVersionsDropdownResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VersionItem:
      properties:
        version_id:
          type: string
          format: uuid
          title: Version Id
          description: The version id of the agent
        version_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Name
          description: The version name of the agent
        version_number:
          type: integer
          title: Version Number
          description: The version number of the agent
        is_published:
          type: boolean
          title: Is Published
          description: Indicates if the agent version is published
          default: false
        is_draft:
          type: boolean
          title: Is Draft
          description: Indicates if the agent version is a draft
          default: false
      type: object
      required:
        - version_id
        - version_number
      title: VersionItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````